Get languages
/rest/ofscMetadata/v1/languages
The response contains the translations of the user's language in the translation structure and in the entity fields.
Request
-
limit: integer
The number of languages to be returned in the response. The minimum value that can be specified is 1 and the maximum value that can be specified is 100. If the specified value is greater than 100, zero, or if no value is specified, then it defaults to 100.
-
offset: integer
The record number from which the retrieval starts. The default value is zero. If no value is specified, then it defaults to zero. The value zero indicates that the retrieval will start from the beginning of the collection.
Response
- application/json
- application/schema+json
200 Response
object-
items:
array items
-
limit:
integer
The limit value specified in the request. If the value is not specified in the request or if the specified value is not accepted, then it defaults to 100.
-
offset:
integer
The offset value specified in the request.
-
totalResults:
integer
The total number of language records in the collection.
objectLanguages-
active(required):
boolean
Title:
ActiveContains one of the following values: true or false.- If true, then the activity type is listed as a possible value in the 'Activity Type' drop-down list in the Manage or Mobility apps while creating an activity.
- If false, then the activity type is not listed as a value in the drop-down list.
The default value is true.
-
label(required):
string
Title:
LabelThe unique label assigned to the language code. For example, en. -
name(required):
string
Title:
NameMinimum Length:1Maximum Length:40The translation for the language name. If the language parameter is specified, then the name is provided in that language.If the language parameter is not specified, then the name is provided in English, unless the request is performed using an Oracle Field Service user account which is linked to an API application (in this case, the name is provided in the language of the user making the request).
-
translations(required):
array Translations
Title:
TranslationsThe array of associated translations.
arrayTranslationsobject-
language(required):
string
The language code of the translated text. The code in the response is two characters long (for example, 'en', 'es').
See Supported Language Codes to view the values that are supported.
-
languageISO:
string
The ISO language code (for example, 'en-US').
-
name(required):
string
The specified name of the property translated to the language code available in the system.
Default Response
object-
detail:
string
The detailed information about the error.
-
status:
string
The HTTP status code.
-
title:
string
The summary of the error message.
-
type:
string
The URL of the page containing the error details.
Examples
The following example shows how to update a property by submitting a PATCH request on the REST resource.
Example of Request Header
The following shows an example of the request header.
GET /rest/ofscMetadata/v1/languages?limit=20&offset=1 HTTP/1.1 Host: <instance_name>.fs.ocs.oraclecloud.com Authorization: Basic c29hcEBwZXRyb2xpYXNoZXZ5Y2gucmVzdDox Accept: */*
Example of Response Header
The following shows an example of the response header.
HTTP/1.1 200 OK Server: nginx/1.6.3 Date: Wed, 16 Sep 2015 15:32:19 GMT Content-Type: application/json; charset=utf-8 Connection: close
Example of Response Body
The following example shows the contents of the response body in JSON format.
{
"totalResults":18,
"limit":20,
"offset":1,
"items":[
{
"label":"el",
"name":"Greek",
"active":"true"
},
"translations":[
{
"language":"en",
"name":"Greek"
},
{..}
]
},
{
"label":"en",
"name":"English",
"active":"true"
},
"translations":[
{
"language":"en",
"name":"English"
},
{..}
]
},
{...}
]
}